<?

 If (file_exists("mail/$cl") == false) {

  $fc = fopen("mail/$cl", "w");

  fclose($fc);

 }



 If ($send == "ok") {

  If (trim($ft[11]) == "0") {

   If ($to <> "admin") { echo "<script> alert('Вы блокированный пользователь! Можете отправлять сообщение только администратору (admin).'); history.back(); </script>";

    exit;

   }

  }



  for ($ma = 0; $ma < strlen($to); $ma++) {

   for ($ia = 0; $ia < strlen($serv_const_nchar); $ia++) {

    if (strtolower($to[$ma]) == $serv_const_nchar[$ia]) {

     $xs = $serv_const_nchar[$ia];

     echo "<script> alert('В поле Логин недопустимый символ <$xs>'); history.back(); </script>";

     exit;

    }

   }

  }

  If ($to == "" or $msg == "") {

   echo "<script> alert('Заполните все поля!'); history.back(); </script>";

   exit;

  }

  If ($to == $cl) {

   echo "<script> alert('Самому себе письма не пишут!'); history.back(); </script>";

   exit;

  }



  If (file_exists("users/$to") == true) {

   $ftm = fopen("mail/$to", "a");

   $msg = str_replace("\n","<br>",htmlspecialchars(stripslashes($msg)));

   $msg = str_replace("^","_",$msg);



   fwrite($ftm, "0^$cl^" . date("d.m.Y H:i:s") . "^" . $msg . "\n");

   fclose($ftm);

  }



  echo "<script> alert('Сообщение успешно отправленно!'); </script>";

  echo "<script> document.location.href='/my.php" . $idstr . "&com=mail'; </script>";

  exit;

 }

 ElseIf ($send == "delall") {

  If (trim($ft[11]) == "0") {

   echo "<script> alert('Вы блокированный пользователь! Вы не можете удалять сообщения.'); history.back(); </script>";

   exit;

  }



  $fcd = fopen("mail/$cl", "w");

  fclose($fcd);

  echo "<script> alert('Все сообщения удалены!'); </script>";

  echo "<script> document.location.href='/my.php" . $idstr . "&com=mail'; </script>";

  exit;

 }

 ElseIf ($send == "del") {

  If (trim($ft[11]) == "0") {

   echo "<script> alert('Вы блокированный пользователь! Вы не можете удалять сообщения.'); history.back(); </script>";

   exit;

  }



  $fml = file("mail/$cl");

  $fcd = fopen("mail/$cl", "w");

  for ($im = 0; $im < count($fml); $im++) {

   if ($im <> $num) {

    fwrite($fcd, $fml[$im]);

   }

  }

  fclose($fcd);

  echo "<script> alert('Сообщение удалено!'); </script>";

  echo "<script> document.location.href='/my.php" . $idstr . "&com=mail'; </script>";

  exit;

 }

 ElseIf ($send == "readall") {

  $fe = fopen("mail/$cl", "w");

  for ($r = 0; $r < count($fm); $r++) {

   $ar = explode("^", trim($fm[$r]));

   fwrite($fe, "1^" . $ar[1] . "^" . $ar[2] . "^" . $ar[3] . "\n");

  }

  fclose($fe);

  echo "<script> alert('Все сообщения помечены как прочитанные!'); </script>";

  echo "<script> document.location.href='/my.php" . $idstr . "&com=mail'; </script>";

  exit;

 }

 ElseIf ($send == "read") {

  $fml = file("mail/$cl");

  $fcd = fopen("mail/$cl", "w");

  for ($im = 0; $im < count($fml); $im++) {

   if ($im == $num) {

    $arw = explode("^", trim($fml[$im]));

    fwrite($fcd, "1^" . $arw[1] . "^" . $arw[2] . "^" . $arw[3] . "\n");

   }

   Else {

    fwrite($fcd, $fml[$im]);

   }

  }

  fclose($fcd);



  echo "<script> alert('Сообщение помечено как прочитанное!'); </script>";

  echo "<script> document.location.href='/my.php" . $idstr . "&com=mail'; </script>";

  exit;

 }

 ElseIf ($send == "noread") {

  $fml = file("mail/$cl");

  $fcd = fopen("mail/$cl", "w");

  for ($im = 0; $im < count($fml); $im++) {

   if ($im == $num) {

    $arw = explode("^", trim($fml[$im]));

    fwrite($fcd, "0^" . $arw[1] . "^" . $arw[2] . "^" . $arw[3] . "\n");

   }

   Else {

    fwrite($fcd, $fml[$im]);

   }

  }

  fclose($fcd);



  echo "<script> alert('Сообщение помечено как непрочитанное!'); </script>";

  echo "<script> document.location.href='/my.php" . $idstr . "&com=mail'; </script>";

  exit;

 }

 ElseIf ($send == "noreadall") {

  $fe = fopen("mail/$cl", "w");

  for ($r = 0; $r < count($fm); $r++) {

   $ar = explode("^", trim($fm[$r]));

   fwrite($fe, "0^" . $ar[1] . "^" . $ar[2] . "^" . $ar[3] . "\n");

  }

  fclose($fe);

  echo "<script> alert('Все сообщения помечены как непрочитанные!'); </script>";

  echo "<script> document.location.href='/my.php" . $idstr . "&com=mail'; </script>";

  exit;

 }







 $mcnt = 0;

 $acnt = 0;

 $fm = @file("mail/$cl");

 for ($m = 0; $m < count($fm); $m++) {

  $ar = explode("^", $fm[$m]);

  If ($ar[0] == "0") {

   $mcnt++;

  }

  $acnt++;

 }



 ?>



<SCRIPT language=javascript>

 function toadd(add){

  mailfrm.to.value = add;

 }



 function delall() {

  if(confirm('Вы действительно хотите удалить все сообщения?')){

   document.location.href='/my.php<? echo $idstr ?>&com=mail&send=delall';

  }

 }



 function del(num){

  if(confirm('Вы действительно хотите удалить это сообщение?')){

   document.location.href='/my.php<? echo $idstr ?>&com=mail&send=del&num=' + num;

  }

 }



 function readall(){

  if(confirm('Вы действительно хотите пометить все сообщения как прочитанные?')){

   document.location.href='/my.php<? echo $idstr ?>&com=mail&send=readall';

  }

 }



 function noreadall(){

  if(confirm('Вы действительно хотите пометить все сообщения как непрочитанные?')){

   document.location.href='/my.php<? echo $idstr ?>&com=mail&send=noreadall';

  }

 }

</SCRIPT>



<table border="0" width="100%" cellspacing="0" cellpadding="0">

  <tr>

    <td width="100%" bgcolor="#F0F0F0"><p><b>&gt;&gt; Авторизированный пользователь <? echo $cl ?> &gt;&gt; Моя почта</b></p></td>

  </tr>

</table>

<p>&nbsp;</p>



<table border="0" width="98%" cellspacing="0" cellpadding="4" bgcolor="#C0C0C0" align="center">

  <tr>

    <td width="2%" valign="middle" bgcolor="#F0F0F0" height="1" style="border-left: 1 solid #C0C0C0; border-top: 1 solid #C0C0C0; border-bottom: 1 solid #C0C0C0"><p align="center"><img border="0" src="img/pic_info.gif" width="16" height="16"></p></td>

    <td width="98%" bgcolor="#F0F0F0" height="1" style="border-right: 1 solid #C0C0C0; border-top: 1 solid #C0C0C0; border-bottom: 1 solid #C0C0C0"><p>С помощью раздела "Моя почта" Вы можете общаться с любым не блокированным пользователем нашего сервиса.</p><p>Для общения с администратором, в поле "Кому:" введите <b>admin</b>.</p><p>При выходе из раздела вся почта помечается как прочитанная!</p><p>Если по внутренней почте Вам приходят оскорбительные, унизительные, спам и др. нежелательные письма, сообщите об этом администратору. В сообщении укажите имя отправителя и пришедшее Вам сообщение.</p></td>

  </tr>

</table>

<p>&nbsp;</p>



<table border="1" width="98%" cellpadding="0" align="center" style="border-collapse: collapse" bordercolor="#9ace8b" cellspacing="1">

  <tr>

    <td width="100%" valign="top">

      <table border="0" width="100%" cellspacing="0" cellpadding="0">

        <tr>

           <td width="100%" bgcolor="#9ACE8B"><p><b>Моя почта ::</b> <i>Всего сообщений <? echo $acnt ?>, непрочитанных <? echo $mcnt ?></i></p></td>

        </tr>

        <tr>

           <td width="100%" valign="top">

<table border="0" width="100%" cellspacing="0" cellpadding="0" bordercolorlight="#FFFFFF" bordercolordark="#FFFFFF" style="border-collapse: collapse" bordercolor="#111111">

  <tr>

    <td width="50%" colspan="3" bgcolor="#F1FFED">

      <p><a href="javascript:delall()" class="cap2"><img border='0' src='img/pic_delete.gif' width='16' height='16'> <b>Удалить все сообщения</b></a></p>

      <p><a href="javascript:readall()" class="cap2"><img border='0' src='img/pic_read.gif' width='16' height='16'> <b>Пометить все сообщения как прочитанные</b></a></p>

      <p><a href="javascript:noreadall()" class="cap2"><img border='0' src='img/pic_noread.gif' width='16' height='16'> <b>Пометить все сообщения как непрочитанные</b></a></p>

    </td>

  </tr>

  <tr>

      <td colspan="3" bgcolor="#9ACE8B">

        <img border="0" src="pixel.gif" width="1" height="1"></td>

  </tr>

  <?

  for ($m2 = count($fm)-1; $m2 >= 0; $m2--) {

   $ar = explode("^", $fm[$m2]);

   If ($ar[0] == "0") {

    $pimg = "pic_mail_incom.gif";

   }

   Else {

    $pimg = "img/pic_mail_old.gif";

   }



   $blokusr = "false";

   If (trim($ft[11]) == "0") {

    If ($ar[1] <> "admin") {

     $blokusr = "true";

    }

   }



   If ($blokusr == "false") {

    echo "

      <tr>

       <td width='30%' valign='top' >

        <p><img border='0' src='" .$pimg. "' width='13' height='12'> от: <b><a href=\"javascript:toadd('" .$ar[1]. "');\" class='cap2'>" .$ar[1]. "</a></b></p>

        <p>отправлено: " .$ar[2]. "</p>

        <p><a href='/my.php$idstr&com=mail&send=read&num=$m2' class='cap2'><img border='0' src='img/pic_read.gif' width='16' height='16' alt='Пометить сообщение как прочитанное'></a> <a href='/my.php$idstr&com=mail&send=noread&num=$m2' class='cap2'><img border='0' src='img/pic_noread.gif' width='16' height='16' alt='Пометить сообщение как непрочитанное'></a> <a href='javascript:del($m2)' class='cap2'><img border='0' src='img/pic_delete.gif' width='16' height='16' alt='Удалить сообщение'></a></p>

       </td>

       <td valign='top' bgcolor='#9ACE8B' width='1' height='1'>

	         <img border='0' src='pixel.gif' width='1' height='1'></td>

	        <td width='70%' valign='top' >

	         <p align='left'>" .$ar[3]. "</p>

	        </td>

	      </tr>

	     <tr>

	        <td width='97%' valign='top' colspan='3' bgcolor='#9ACE8B' width='1' height='1'>

	         <img border='0' src='pixel.gif' width='1' height='1'></td>

     </tr>

    ";

   }



  }

?>



</table>

<form method="POST" name="mailfrm">

<input type="hidden" name="send" value="ok">

 <div align="center">

   <center>

 <table border="0" width="600" cellspacing="0" cellpadding="0" bordercolorlight="#FFFFFF" bordercolordark="#FFFFFF" height="34" style="border: 0px solid #F1FFED; ; border-collapse:collapse" bordercolor="#111111">

   <tr>

     <table border="1" width="600" cellspacing="0" cellpadding="0" bordercolorlight="#FFFFFF" bordercolordark="#FFFFFF" height="34" style="border: 0px solid #C0C0C0; ; border-collapse:collapse" bordercolor="#111111">

	    <tr>

	      <td width="175" bgcolor="#9ACE8B" height="19"><p>Кому:</p></td>

     <td width="395" height="19"><p>

     <input type="text" name="to" size="24" style="font-family: Verdana, Arial; font-size: 8pt; border: 1px solid #9ACE8B; ; background-color:#F1FFED"></p></td>

    </tr>

	    <tr>

	     <td width="175" bgcolor="#9ACE8B" height="19" valign="top"><p>Текст сообщения:</p></td>

     <td width="395" height="19"><p>

     <textarea rows="6" name="msg" cols="65" style="font-family: Verdana, Arial; font-size: 8pt; border: 1px solid #9ACE8B; ; background-color:#F1FFED"></textarea></p></td>

    </tr>

	    <tr>

	     <td width="175" height="19" bordercolorlight="#FFFFFF" bordercolordark="#FFFFFF" valign="top"></td>

	     <td width="395" height="19"><p>

	     <input type="submit" name="B1" value="Отправить" style="border:1px solid #9ACE8B; font-family: Verdana, Arial; font-size: 8pt; background-color:#F1FFED"></p></td>

	    </tr>

 </table>

   </center>

</div>

</form>

           </td>

        </tr>

      </table>

    </td>

  </tr>

</table>

<p>&nbsp;&nbsp;<img border='0' src='img/pic_delete.gif' width='16' height='16'> - Удаляет сообщение.</p>

<p>&nbsp;&nbsp;<img border='0' src='img/pic_read.gif' width='16' height='16'> - Помечает сообщение как прочитанное.</p>

<p>&nbsp;&nbsp;<img border='0' src='img/pic_noread.gif' width='16' height='16'> - Помечает сообщение как непрочитанное.</p>

<p>&nbsp;</p>